Page MenuHomePhabricator

p4fastimport: better handling of symlinks that later turn in to directories
ClosedPublic

Authored by hollisb on Nov 3 2017, 7:14 PM.

Details

Summary

We don't actually need to store fileflags='', which uses a lot of memory
because there are many files. Instead, just treat missing fileflags as empty.

Also, no need to call manifest.setflag() for every file -- call
manifest.flags() for every file, then setflag() only if needed.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

hollisb created this revision.Nov 3 2017, 7:14 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 3 2017, 7:14 PM
hollisb added a reviewer: dsp.Nov 3 2017, 7:16 PM
dsp accepted this revision.Nov 8 2017, 1:49 PM
This revision is now accepted and ready to land.Nov 8 2017, 1:49 PM
quark added a subscriber: quark.Nov 30 2017, 8:10 PM

Pushed. Thanks!

This revision was automatically updated to reflect the committed changes.